<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output omit-xml-declaration="yes" indent="yes"/>
  <xsl:strip-space elements="*"/>
<xsl:template match='/'>
<html><head>
<style type="text/css" media="all" >
    #page {width: 820px; text-align: center; margin: auto; font: normal 0.93em verdana, arial, sans-serif; color:#000; vertical-align: top; }
	#page table {border-spacing: 0px; width: 100%}
	#page th, td {padding: 5px 10px 5px 10px;border-spacing: 0px; font-size: 85%;margin: 0px;}
	#page th, td {color: #737476;text-align: left;background-color: #e0e9f0;border-top: 1px solid #f1f8fe;border-bottom: 1px solid #cbd2d8;	border-right: 1px solid #cbd2d8;}
    #page .td_imgsection {width: 15%; border: 0px solid #000000; text-align: center; background: -webkit-linear-gradient(left, cyan, #e0e9f0);}
    #page .td_section {text-shadow: 1px 1px 1px white; width: 85%; border: 0px solid #000000; text-align: center; background: -webkit-linear-gradient(left, #e0e9f0, cyan);}
    #page .value {font-size: 0.8em; font-style: italic; text-align: left; margin-bottom: 5px;}
	#page .property {font-weight: bold; text-align: right; background: -webkit-linear-gradient(left, cyan, #e0e9f0);}
</style>
</head>
<body>
    <div id="page">
        <xsl:apply-templates/>
    </div>
</body>
</html>
</xsl:template >
  <xsl:template match="/*">
    <table border="1">
      <xsl:apply-templates/>
    </table>
    <br/><br/>
  </xsl:template>

  <xsl:template match="*">
  <xsl:variable name="MyInfo"><xsl:value-of select="name()"/></xsl:variable>
  <xsl:if test="$MyInfo='subWindow' or $MyInfo='gmd:qspheresession' or $MyInfo='formMainUI'">
  <tr>
      <td colspan="2">
	  <table>
		<tr>
			<td width="15%s" class="td_imgsection">
			<xsl:if test="$MyInfo='subWindow' or $MyInfo='formMainUI'">
			   <img src="./../../icons/tabwindows.png" height="48" width="48"/>
			</xsl:if>
			<xsl:if test="$MyInfo='gmd:qspheresession'">
			   <img src="./../../icons/opensession.png" height="36" width="36"/>
			</xsl:if>
			</td>
			<td width="85%" class="td_section"><h2><xsl:value-of select="name()"/></h2></td>
		</tr>
	  </table>
	  </td>
  </tr>
  <xsl:apply-templates/>
  </xsl:if>
  <xsl:if test="$MyInfo!='subWindow' and $MyInfo!='gmd:qspheresession'and $MyInfo!='formMainUI'">
	<xsl:variable name="MyValue"><xsl:value-of select="name()"/></xsl:variable>
  <tr>
   <xsl:if test="$MyValue!='gco:file' and $MyValue!='gmd:language'">
      <td class="property">
        <xsl:value-of select="name()"/>
      </td>
      <td class="value">
        <xsl:apply-templates/>
      </td>
	</xsl:if>
	<xsl:if test="$MyValue='gco:file' or $MyValue='gmd:language'">
	   <td class="property" colspan="2">
        <xsl:value-of select="name()"/><xsl:apply-templates/>
      </td>
 	</xsl:if>
    </tr>
  </xsl:if>
  </xsl:template>

</xsl:stylesheet>
